This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 98682 - missing symbols in drivers
missing symbols in drivers
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-07 10:50 EDT by ajs
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-28 03:56:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ajs 2003-07-07 10:50:51 EDT
Description of problem:
There are missing symbols in some drivers.  When the RPM is installed there are
several warnings about unknown symbols in drivers.

Version-Release number of selected component (if applicable):
kernel-2.5.74-1.10

The output of rpm is:

[root@sonylap1 i686]# rpm --oldpackage -ivh kernel-2.5.74-1.10.i686.rpm
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/video/matrox/matroxfb_crtc2.ko
needs unknown symbol matroxfb_enable_irq
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/net/irda/w83977af_ir.ko needs
unknown symbol setup_dma
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/net/irda/smc-ircc.ko needs
unknown symbol setup_dma
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/net/irda/smsc-ircc2.ko needs
unknown symbol setup_dma
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/net/irda/nsc-ircc.ko needs
unknown symbol setup_dma
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/net/irda/ali-ircc.ko needs
unknown symbol setup_dma
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/md/dm-mod.ko needs unknown
symbol io_schedule
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/isdn/hardware/eicon/divacapi.ko
needs unknown symbol application
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/isdn/hardware/eicon/divacapi.ko
needs unknown symbol adapter
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/isdn/hardware/eicon/divacapi.ko
needs unknown symbol MapController
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/isdn/hardware/eicon/divacapi.ko
needs unknown symbol max_adapter
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/char/generic_serial.ko needs
unknown symbol cli
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/char/generic_serial.ko needs
unknown symbol restore_flags
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/char/generic_serial.ko needs
unknown symbol save_flags
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/char/generic_serial.ko needs
unknown symbol sti
WARNING: /lib/modules/2.5.74-1.10/kernel/drivers/char/agp/nvidia-agp.ko needs
unknown symbol agp_memory_reserved
Comment 1 Bill Nottingham 2004-01-28 03:56:06 EST
Pleae reopen if this persists.

Note You need to log in before you can comment on or make changes to this bug.